=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: kcoreaddons
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.92.0~),
-               libfam-dev,
+               extra-cmake-modules (>= 5.98.0~),
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.16~),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-               shared-mime-info (>= 1.3),
-Standards-Version: 4.6.0
+               shared-mime-info (>= 1.8~)
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/kcoreaddons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons.git
 Rules-Requires-Root: no
 
 Package: libkf5coreaddons-data
@@ -42,7 +42,7 @@
 Depends: libkf5coreaddons-dev-bin (= ${binary:Version}),
          libkf5coreaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
-         ${misc:Depends},
+         ${misc:Depends}
 Replaces: libkf5coreaddons-bin-dev (<< 5.41)
 Breaks: baloo-kf5-dev (<< 5.54),
         kded5-dev (<< 5.54),
@@ -55,7 +55,7 @@
         libkf5package-dev (<< 5.54),
         libkf5pty-dev (<< 5.54),
         libkf5purpose-dev (<< 5.54),
-        libkf5service-dev (<< 5.54),
+        libkf5service-dev (<< 5.54)
 Recommends: libkf5coreaddons-doc (= ${source:Version})
 Description: KDE Frameworks 5 addons to QtCore - development files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
@@ -103,9 +103,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf5coreaddons-data (= ${source:Version}),
-         shared-mime-info (>= 1.3),
+         shared-mime-info (>= 1.8~),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: KDE Frameworks 5 addons to QtCore
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
@@ -186,4 +186,4 @@
         qml-module-org-kde-newstuff (<< 5.42),
         qml-module-org-kde-purpose (<< 5.54),
         qml-module-org-kde-qqc2desktopstyle (<< 5.42),
-        qml-module-org-kde-runnermodel (<< 5.42),
+        qml-module-org-kde-runnermodel (<< 5.42)
